Subject: Re: [PATCH] gnu: xmonad: Re-add xmonad.desktop file.
From: Lars-Dominik Braun <[email-masked]>
To: EuAndreh <[email-masked]>
Cc: [email-masked]
Date: Sat, 10 Aug 2024 11:30:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

merged as commit bc71034f789603349080c2f35570910c07d526ec. I also fixed
the typos I introduced.

>     This has happened before, and I was the one to send an equivalent patch
>     to address the issue, 307d1b626be86ed21d48d44a131ce8490f370a17.

I’m sorry :( My usual flow is to run my update script (which only
touches updated packages) and then manually revert unwanted changes,
but I did not catch the xmonad phase. Is there any way we can upstream
the .desktop file?

>     If you're so inclined, I may help to improve the upgrade script to avoid
>     this in the future, but also feel free to decline or ignore.  And thanks
>     for the maintenance work on the Haskell packages :)

See attached script. The thing is that we *want* to remove unnecessary
phases during package upgrades. So I don’t know how to differentiate
between wanted and unwanted changes, except for manually checking them.

Lars